/*
 * ExactSubtreeRepeatsNaive.cpp
 *
 *  Created on: 1. 4. 2016
 *      Author: Jan Travnicek
 */

#include "ExactSubtreeRepeatsNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto ExactRepeatsNaiveRankedTree = registration::AbstractRegister < tree::properties::ExactSubtreeRepeatsNaive, tree::RankedTree < unsigned, DefaultRankType >, const tree::RankedTree < > & > ( tree::properties::ExactSubtreeRepeatsNaive::repeats );
auto ExactRepeatsNaivePrefixRankedTree = registration::AbstractRegister < tree::properties::ExactSubtreeRepeatsNaive, tree::PrefixRankedTree < unsigned, DefaultRankType >, const tree::PrefixRankedTree < > & > ( tree::properties::ExactSubtreeRepeatsNaive::repeats );
auto ExactRepeatsNaivePostfixRankedTree = registration::AbstractRegister < tree::properties::ExactSubtreeRepeatsNaive, tree::PostfixRankedTree < unsigned, DefaultRankType >, const tree::PostfixRankedTree < > & > ( tree::properties::ExactSubtreeRepeatsNaive::repeats );
auto ExactRepeatsNaivePrefixRankedBarTree = registration::AbstractRegister < tree::properties::ExactSubtreeRepeatsNaive, tree::PrefixRankedBarTree < unsigned, DefaultRankType >, const tree::PrefixRankedBarTree < > & > ( tree::properties::ExactSubtreeRepeatsNaive::repeats );

} /* namespace */
